unit StubDll32U;

interface

implementation

uses
  SysUtils;

var
  OldExitProc: Pointer;

procedure NewExitProc;
begin
  ExitProc := OldExitProc;
  WriteLn('DLL: Exit procedure added the old fashioned way (ExitProc)');
end;

procedure NewerExitProc;
begin
  WriteLn('DLL: Exit procedure added with AddExitProc');
end;

initialization
  WriteLn('DLL: Unit initialisation section');
  OldExitProc := ExitProc;
  ExitProc := @NewExitProc;
  AddExitProc(@NewerExitProc);
finalization
  WriteLn('DLL: Unit finalisation section');
end.
